## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate gimoji

Name:           rust-gimoji
Version:        1.1.1
Release:        %autorelease
Summary:        Easily add emojis to your git commit messages 🎉

License:        MIT
URL:            https://crates.io/crates/gimoji
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Update ratatui to 0.29
#   https://github.com/zeenix/gimoji/pull/180
Patch:          gimoji-fix-metadata.diff
# * Update ratatui to 0.29
# * Cherry-picked from https://github.com/zeenix/gimoji/pull/180
Patch10:        180.patch
# * Update databake to 0.2.0 (https://github.com/zeenix/gimoji/pull/189):
#   rebased on the released crate, version 1.1.0
Patch11:        gimoji-1.1.0-databake-0.2.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Easily add emojis to your git commit messages 🎉.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
# Zlib
License:        MIT AND Unicode-DFS-2016 AND Zlib AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-MIT
%license LICENSE.dependencies
%doc CONTRIBUTING.md
%doc README.md
%{_bindir}/gimoji

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue May 13 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.1-4
- Update to databake 0.2

* Tue Apr 29 2025 Cristian Le <git@lecris.dev> - 1.1.1-3
- Bump ratatui dependency to 0.29

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Nov 04 2024 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-1
- Update to version 1.1.1; Fixes RHBZ#2315422

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Wed May 08 2024 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Update to version 1.1.0; Fixes RHBZ#2255680

* Mon Feb 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.3-1
- Update to version 0.7.3

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.1-1
- Update to version 0.6.1; Fixes RHBZ#2232779

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-1
- Update to version 0.5.1

* Tue Jul 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Initial import (#2214339)
## END: Generated by rpmautospec
